Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class InputElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.InputElement

    public class InputElement

extends Element

Form control. Note: Depending upon the environment in which the page is being viewed, the value property may be read-only for the file upload input type. For the "password" input type, the actual value returned may be masked to prevent unauthorized use.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `InputElement()`

Method Summary
`static InputElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`void` | `blur()` Removes keyboard focus from this element.
`void` | `click()` Simulate a mouse-click.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccept()` A comma-separated list of content types that a server processing this form will handle correctly.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`java.lang.String` | `getDefaultValue()` When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element.
`FormElement` | `getForm()` Returns the FORM element containing this control.
`int` | `getMaxLength()` Maximum number of characters for text fields, when type has the value "text" or "password".
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`int` | `getSize()` Size information.
`java.lang.String` | `getSrc()` When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` The type of control created (all lower case).
`java.lang.String` | `getValue()` When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent.
`boolean` | `isChecked()` When the type attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent.
`boolean` | `isDefaultChecked()` When type has the value "radio" or "checkbox", this represents the HTML checked attribute of the element.
`boolean` | `isDisabled()` The control is unavailable in this context.
`boolean` | `isReadOnly()` This control is read-only.
`void` | `select()` Select the contents of the text area.
`void` | `setAccept(java.lang.String accept)` A comma-separated list of content types that a server processing this form will handle correctly.
`void` | `setAccessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`void` | `setAlt(java.lang.String alt)` Alternate text for user agents not rendering the normal content of this element.
`void` | `setChecked(boolean checked)` When the type attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent.
`void` | `setDefaultChecked(boolean defaultChecked)` When type has the value "radio" or "checkbox", this represents the HTML checked attribute of the element.
`void` | `setDefaultValue(java.lang.String defaultValue)` When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setMaxLength(int maxLength)` Maximum number of characters for text fields, when type has the value "text" or "password".
`void` | `setName(java.lang.String name)` Form control or object name when submitted with a form.
`void` | `setReadOnly(boolean readOnly)` This control is read-only.
`void` | `setSize(int size)` Size information.
`void` | `setSrc(java.lang.String src)` When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setUseMap(boolean useMap)` Use client-side image map.
`void` | `setValue(java.lang.String value)` When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent.
`boolean` | `useMap()` Use client-side image map.

Methods inherited from class com.google.gwt.dom.client.Element
`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InputElement

    protected InputElement()

Method Detail

### as

    public static InputElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### blur

    public final void blur()

  Removes keyboard focus from this element.

### click

    public final void click()

  Simulate a mouse-click. For INPUT elements whose type attribute has one of the following values: "button", "checkbox", "radio", "reset", or "submit".

### focus

    public final void focus()

  Gives keyboard focus to this element.

### getAccept

    public final java.lang.String getAccept()

  A comma-separated list of content types that a server processing this form will handle correctly.

  See Also:
    W3C HTML Specification

### getAccessKey

    public final java.lang.String getAccessKey()

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### getAlt

    public final java.lang.String getAlt()

  Alternate text for user agents not rendering the normal content of this element.

  See Also:
    W3C HTML Specification

### getDefaultValue

    public final java.lang.String getDefaultValue()

  When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

  See Also:
    W3C HTML Specification

### getForm

    public final FormElement getForm()

  Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

### getMaxLength

    public final int getMaxLength()

  Maximum number of characters for text fields, when type has the value "text" or "password".

  See Also:
    W3C HTML Specification

### getName

    public final java.lang.String getName()

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### getSize

    public final int getSize()

  Size information. The precise meaning is specific to each type of field.

  See Also:
    W3C HTML Specification

### getSrc

    public final java.lang.String getSrc()

  When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.

  See Also:
    W3C HTML Specification

### getTabIndex

    public final int getTabIndex()

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  The type of control created (all lower case).

  See Also:
    W3C HTML Specification

### getValue

    public final java.lang.String getValue()

  When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the type attribute of the element has the value "button", "hidden", "submit", "reset", "image", "checkbox" or "radio", this represents the HTML value attribute of the element.

  See Also:
    W3C HTML Specification

### isChecked

    public final boolean isChecked()

  When the type attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent. Changes to this attribute change the state of the form control, but do not change the value of the HTML checked attribute of the INPUT element. Note: During the handling of a click event on an input element with a type attribute that has the value "radio" or "checkbox", some implementations may change the value of this property before the event is being dispatched in the document. If the default action of the event is canceled, the value of the property may be changed back to its original value. This means that the value of this property during the handling of click events is implementation dependent.

### isDefaultChecked

    public final boolean isDefaultChecked()

  When type has the value "radio" or "checkbox", this represents the HTML checked attribute of the element. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes.

  See Also:
    W3C HTML Specification

### isDisabled

    public final boolean isDisabled()

  The control is unavailable in this context.

  See Also:
    W3C HTML Specification

### isReadOnly

    public final boolean isReadOnly()

  This control is read-only. Relevant only when type has the value "text" or "password".

  See Also:
    W3C HTML Specification

### select

    public final void select()

  Select the contents of the text area. For INPUT elements whose type attribute has one of the following values: "text", "file", or "password".

### setAccept

    public final void setAccept(java.lang.String accept)

  A comma-separated list of content types that a server processing this form will handle correctly.

  See Also:
    W3C HTML Specification

### setAccessKey

    public final void setAccessKey(java.lang.String accessKey)

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### setAlt

    public final void setAlt(java.lang.String alt)

  Alternate text for user agents not rendering the normal content of this element.

  See Also:
    W3C HTML Specification

### setChecked

    public final void setChecked(boolean checked)

  When the type attribute of the element has the value "radio" or "checkbox", this represents the current state of the form control, in an interactive user agent. Changes to this attribute change the state of the form control, but do not change the value of the HTML checked attribute of the INPUT element. Note: During the handling of a click event on an input element with a type attribute that has the value "radio" or "checkbox", some implementations may change the value of this property before the event is being dispatched in the document. If the default action of the event is canceled, the value of the property may be changed back to its original value. This means that the value of this property during the handling of click events is implementation dependent.

### setDefaultChecked

    public final void setDefaultChecked(boolean defaultChecked)

  When type has the value "radio" or "checkbox", this represents the HTML checked attribute of the element. The value of this attribute does not change if the state of the corresponding form control, in an interactive user agent, changes.

  See Also:
    W3C HTML Specification

### setDefaultValue

    public final void setDefaultValue(java.lang.String defaultValue)

  When the type attribute of the element has the value "text", "file" or "password", this represents the HTML value attribute of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

  See Also:
    W3C HTML Specification

### setDisabled

    public final void setDisabled(boolean disabled)

  The control is unavailable in this context.

  See Also:
    W3C HTML Specification

### setMaxLength

    public final void setMaxLength(int maxLength)

  Maximum number of characters for text fields, when type has the value "text" or "password".

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### setReadOnly

    public final void setReadOnly(boolean readOnly)

  This control is read-only. Relevant only when type has the value "text" or "password".

  See Also:
    W3C HTML Specification

### setSize

    public final void setSize(int size)

  Size information. The precise meaning is specific to each type of field.

  See Also:
    W3C HTML Specification

### setSrc

    public final void setSrc(java.lang.String src)

  When the type attribute has the value "image", this attribute specifies the location of the image to be used to decorate the graphical submit button.

  See Also:
    W3C HTML Specification

### setTabIndex

    public final void setTabIndex(int tabIndex)

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### setUseMap

    public final void setUseMap(boolean useMap)

  Use client-side image map.

  See Also:
    W3C HTML Specification

### setValue

    public final void setValue(java.lang.String value)

  When the type attribute of the element has the value "text", "file" or "password", this represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the value of the HTML value attribute of the element. When the type attribute of the element has the value "button", "hidden", "submit", "reset", "image", "checkbox" or "radio", this represents the HTML value attribute of the element.

  See Also:
    W3C HTML Specification

### useMap

    public final boolean useMap()

  Use client-side image map.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD